version: '2.3'

services:
  clickhouse:
    image: yandex/clickhouse-server:21.4.6.55
    expose:
      - "9000"
      - "9009"
      - "8123"
    volumes:
      - "./configs/clickhouse/config.d/logs.xml:/etc/clickhouse-server/config.d/logs.xml"
      - "./configs/clickhouse/config.d/ports.xml:/etc/clickhouse-server/config.d/ports.xml"
      - "./configs/clickhouse/config.d/ssl.xml:/etc/clickhouse-server/config.d/ssl.xml"
      - "./configs/clickhouse/config.d/storage.xml:/etc/clickhouse-server/config.d/storage.xml"
      - "./configs/clickhouse/config.d/remote.xml:/etc/clickhouse-server/config.d/remote.xml"
      - "./configs/clickhouse/config.d/zookeeper.xml:/etc/clickhouse-server/config.d/zookeeper.xml"
      - "./configs/clickhouse/users.d/:/etc/clickhouse-server/users.d"
      - "./configs/clickhouse/ssl:/etc/clickhouse-server/ssl"
      - "./configs/clickhouse/config.xml:/etc/clickhouse-server/config.xml"
      - "./configs/clickhouse/users.xml:/etc/clickhouse-server/users.xml"
    entrypoint: bash -c "clickhouse server --config-file=/etc/clickhouse-server/config.xml --log-file=/var/log/clickhouse-server/clickhouse-server.log --errorlog-file=/var/log/clickhouse-server/clickhouse-server.err.log"
    healthcheck:
      test: clickhouse client --query='select 1'
      interval: 10s
      timeout: 10s
      retries: 10
      start_period: 300s
    cap_add:
      - SYS_PTRACE
    security_opt:
      - label:disable
